View Issue Details

IDProjectCategoryView StatusLast Update
0000869Industrial-Craft²E-Net, cabling, storage/transformer blockspublic2014-04-18 03:46
ReporterAnodeCathodeAssigned ToPlayer 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionwon't fix 
PlatformX86OSWindowsOS Version7
Product Version 
Target VersionFixed in Version 
Summary0000869: Server crash: ConcurrentModificationException
Description

So after many hours of testing I finally reproduced it on Forge as seen here

http://pastie.org/8588777

This also turned up in logs http://pastie.org/pastes/8588637/text

To reproduce, simply use a quantumchest with forge and keep moving in and out of the problematic chunk until it crashes with a CME. Please report bug to IC2 devs, the crash occurs at line 263 in EnergyNetLocal

for (Grid grid : this.grids) {

I was using ic2 experimental build 344.
Steps To Reproduceuse a quantumchest with forge and keep moving in and out of the problematic chunk until it crashes with a CME
TagsNo tags attached.
Minecraft Version

Activities

AnodeCathode

2014-01-15 19:56

reporter   ~0002043

This occurs with APM Adjustable Transformers and with Mekanism Universal Cables, something is occuring with the IC2 EnergyNet on chunk unloads with certain mods using the API.

Cozza38

2014-01-20 04:12

reporter   ~0002055

Any news on this? Getting upwards of 10 crashes a day with the exact same error.

http://pastebin.com/WFhYAhBP

AnodeCathode

2014-01-21 06:09

reporter   ~0002056

I don't get the impression anyone is paying any attention to this tracker

Cozza38

2014-01-22 06:46

reporter   ~0002066

Are you able to give a list of mods you are using Anode? SO I can compare us both and look for trends.

axelpx

2014-01-26 20:44

reporter   ~0002078

Same here! As soon as I disconnect and chunks unload my server crashes with that error.

About mods installed - Universal Electircity, Atomic Science, Galacticraft, MFFS, Mekanizm, Thermal Expansion, Ender IO and, of course, IC2.

axelpx

2014-01-26 20:46

reporter   ~0002079

Last edited: 2014-01-26 20:47

View 2 revisions

It happens to me even without quantumchest on, and by the way I'm on the latest 377 build.

redemption15

2014-02-01 03:38

reporter   ~0002102

I too have started to get this error and have narrowed it down at least on my end to be with Mekanism. I've tried updating Mekanism and downgrading IC2 to several different versions with no luck. Only Success came from removing Mekanism...

Cozza38

2014-02-01 03:47

reporter   ~0002103

Was already logged over at Mekanism and closed as an IC2 issue.

https://github.com/aidancbrady/Mekanism/issues/837

jakimfett

2014-03-07 22:31

reporter   ~0002206

I'm dealing with this issue about 3-4 times daily. Here's my crash log: http://pastebin.com/0ABu6Vvg

As some of the others have voiced, I think the devs have stopped paying attention to the bug reports here.

Player

2014-03-13 14:39

administrator   ~0002239

I've recently added some code to catch the offending modifications, but only for the 1.7 builds. This is very likely caused by API misuse, not IC2 itself.

jakimfett

2014-03-14 23:37

reporter   ~0002271

Last edited: 2014-03-19 23:03

View 2 revisions

Is there any chance whatsoever of this fix getting backported to 1.6.4? I'd do it myself, but I don't have access to the source code, and given the lack of a solid 1.6.4 final build, it would be a really nice "we still care about you server admins" gesture...

Normally, I wouldn't ask, but this is an issue that was known to crash servers months before the move to 1.7 happened.

And it does indeed continue to crash our 1.6.4 servers, mine goes down every two or three hours, despite my numerous attempts to educate my players about the problem.

Player

2014-03-20 10:31

administrator   ~0002276

There is no fix, all it does is detect which 3rd party mod is being the offender.

jakimfett

2014-03-20 15:14

reporter   ~0002277

Last edited: 2014-03-20 17:27

View 2 revisions

So, this issue will still crash servers, but we'll know which mod caused it?

Per my conversation with Player (see http://pastebin.com/VRygBA1R for the conversation text) indicates that https://github.com/aidancbrady/Mekanism/issues/837 is a Mekanism problem, but https://github.com/aidancbrady/Mekanism/issues/1123 is an IC2 problem.

These two issues are NOT the same (despite my earlier confusion about this). https://github.com/aidancbrady/Mekanism/issues/837 deals with a ConcurrentModificationException, https://github.com/aidancbrady/Mekanism/issues/1123 is a NullPointerException.

Player

2014-04-18 03:46

administrator   ~0002356

The CME is not an IC2 bug. I've fixed the issue causing bug 1123 on their bug tracker though.

Issue History

Date Modified Username Field Change
2013-12-31 20:50 AnodeCathode New Issue
2014-01-15 19:56 AnodeCathode Note Added: 0002043
2014-01-20 04:12 Cozza38 Note Added: 0002055
2014-01-21 06:09 AnodeCathode Note Added: 0002056
2014-01-22 06:46 Cozza38 Note Added: 0002066
2014-01-26 20:44 axelpx Note Added: 0002078
2014-01-26 20:46 axelpx Note Added: 0002079
2014-01-26 20:47 axelpx Note Edited: 0002079 View Revisions
2014-02-01 03:38 redemption15 Note Added: 0002102
2014-02-01 03:47 Cozza38 Note Added: 0002103
2014-03-07 22:31 jakimfett Note Added: 0002206
2014-03-13 14:39 Player Note Added: 0002239
2014-03-13 14:39 Player Assigned To => Player
2014-03-13 14:39 Player Status new => feedback
2014-03-14 23:37 jakimfett Note Added: 0002271
2014-03-19 23:03 jakimfett Note Edited: 0002271 View Revisions
2014-03-20 10:31 Player Note Added: 0002276
2014-03-20 15:14 jakimfett Note Added: 0002277
2014-03-20 17:27 jakimfett Note Edited: 0002277 View Revisions
2014-04-18 03:46 Player Note Added: 0002356
2014-04-18 03:46 Player Status feedback => closed
2014-04-18 03:46 Player Resolution open => won't fix